/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 1998-2018                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  Copyright (c) 2009-2015                                                **
**  German Research School for Simulation Sciences GmbH,                   **
**  Laboratory for Parallel Programming                                    **
**                                                                         **
**  Copyright (c) 2011                                                     **
**  University of Oregon, Eugene, USA                                      **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/



package scalasca.cubex.cube;
import java.lang.String;
/*
 * Class , delivers file structure of CubeX
 *
 */
public class Process extends LocationGroup
{
//     @SuppressWarnings("unchecked")
    public Process()
    {
        super( );
    }
    public Process( int _id, SystemTreeNode parent )
    {
        super( _id, parent );
    }
    public Process( int _id, long _rank, SystemTreeNode parent )
    {
        super( _id, _rank,  LocationGroupType.PROCESS,  parent );
    }
    public Process( int _id, long _rank, String _name, SystemTreeNode parent )
    {
        super( _id, _rank, _name,  LocationGroupType.PROCESS, parent );
    }
    public Process( LocationGroup _clone, SystemTreeNode _parent )
    {
        super( _clone.getId(),
               _clone.getRank(),
               _clone.getName(),
               LocationGroupType.PROCESS,
               _parent
               );
        for ( Vertex _thread: _clone.getAllChildren() )
        {
            children.add( new Thread( ( Location )_thread, this ) );
        }
    }
}
