/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 1998-2018                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  Copyright (c) 2009-2015                                                **
**  German Research School for Simulation Sciences GmbH,                   **
**  Laboratory for Parallel Programming                                    **
**                                                                         **
**  Copyright (c) 2011                                                     **
**  University of Oregon, Eugene, USA                                      **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/



package scalasca.cubex.cube.services;
import java.lang.*;
import java.io.File;
import javax.swing.*;
import javax.swing.filechooser.*;

/*

 *
 *
 */
public class CubeFileFilter extends FileFilter
{
    public final static String cube   = ".cube";
    public final static String cubegz = ".cube.gz";
    public final static String cubex  = ".cubex";

    //Accept all directories and all cube, cube.gz, and cubex files.
    public boolean
    accept( File f )
    {
        if ( f.isDirectory() )
        {
            return true;
        }

        String filename = f.getName();
        if ( filename != null )
        {
            if ( filename.endsWith( CubeFileFilter.cube ) ||
                 filename.endsWith( CubeFileFilter.cubegz ) ||
                 filename.endsWith( CubeFileFilter.cubex ) )
            {
                return true;
            }
            else
            {
                return false;
            }
        }

        return false;
    }

    //The description of this filter
    public String
    getDescription()
    {
        return "Cube reports (*.cube, *.cube.gz, *.cubex)";
    }
}
